Ryzom - Bug # 1230

Status: Assigned Priority: Low

Author: Aztecmage Category: Client: General
Created: 01/08/2011 Assignee: kervala
Updated: 02/20/2011 Due date:

Subiject: Missing Sheets for Yubos and NPCs

Description

It seems when you recompile the sheets the yubos disappear as well as the NPCs. To fix this | created the following files:

NPC files needed:
tr_civilo1_gilet.item
tr_civil01_pantabotte.item
tr_civil01_armpad.item
tr_civil01_hand.item
tr_civil01_bottes.item
z0o_visage.item

| also added zo_cheveux_short01.item and added this to the Head Struct found in drill_zohc3 in
L:\leveldesign\Game_elem\Creature\Npc\bestiary\creature\chiang\

Yubo filles needed:

dag_light_slashing_chest.item

Related issues:
related to Ryzom - Feature # 1237: Be able to recreate and successfully use s... New 01/19/2011

History

#1 - 01/08/2011 07:23 pm - Aztecmage

Yubos also need:

light_slashing_legs.item
light_slashing_arms.item
light_slashing_hands.item
light_slashing_feet.item
light_slashing_head.item

#2-01/10/2011 11:12 am - kervala
- Status changed from New to Assigned
- Assignee set to kervala

#3 - 01/10/2011 11:15 am - kervala
- Status changed from Assigned to Resolved
- % Done changed from 0 to 100

Applied in changeset r1279.

08/23/2018

1/5




#4 - 01/10/2011 11:16 am - kervala

Please could you check all is working and no other files are missing ?

#5 - 01/10/2011 02:05 pm - aquiles
- Status changed from Resolved to Assigned

chiang is still hairless :) rest seems to be working as fas as i can tell on first look

_zorai_male.creature defines:
zo_cheveux_long01.item - missing
zo_cheveux_mediumO01.item - missing

zo_cheveux_shave01.item - missing

zo_cheveux_short01.item - already there

#6 - 01/10/2011 06:59 pm - aquiles

- % Done changed from 100 to 90

needed by building_manager.cpp

player_building.sitem

guild_main_building.sitem

#7 - 01/10/2011 08:25 pm - aquiles

sbrick\craft\effect\armor\common\heavy_armor\bccaea07.sbrick

sbrick\craft\effect\armor\fyros\light_armor\bcfaea07.sbrick

sphrase\craftirecommended\abcfaca01.sphrase

are referencing:

bcpa04.sbrick - missing

sphrase\craft\recommended\abcfaca01.sphrase

is referencing:

bcfaca01.sbrick - missing

#8 - 01/10/2011 08:56 pm - aquiles

lots of crafting sheets which are referenced are missing according to the egs log

missing:

bcpa03.sbrick
bcpa09.sbrick
bcpa15.sbrick
bcpa21.sbrick
bcpa04.sbrick
bcpa16.sbrick
bcpa06.sbrick
bcpat2.sbrick
bcpai8.sbrick
bcpa24.sbrick
bcpa07.sbrick
bcpai3.sbrick
bczmea01_2.sbrick
bcpail9.sbrick
bcpa02.sbrick
bcpa08.sbrick
bcpa14.sbrick
bcpa20.sbrick
bcpa05.sbrick
bcpat1.sbrick
bcpa17.sbrick
bcpa23.sbrick
icfp1pp.sitem
icmp1pp.sitem
ictp1pp.sitem
iczp1pp.sitem
icfie.sitem
icmje.sitem
ictje.sitem
iczje.sitem
icfm1pd.sitem
icmm1pd.sitem
ictm1pd.sitem
iczm2sa_3.sitem
iczm1pd.sitem
icfrip.sitem
icmr1p.sitem
ictr1p.sitem
iczrip.sitem
icfsb.sitem
icmsb.sitem

ictsb.sitem

#9 - 01/11/2011 01:04 am - aquiles

Ok he now some services complain about missing datasets.packed_sheet.

| found some in server/data_shard/mirror_sheets and copied them to the leveldesign folder, namely:

fame.dataset

fe_temp.dataset

pet.dataset

Are there any dataset files in the offical files or do we need to copy them from the server dir?

After that i could succesfully start the services and came to the character selection. After logging in he crashed in entity_animation_manager.cpp line

198, complaing about missing
ma_cheveux01.sitem

Its likely that if i try another race he will also complain about their missing cheveux sitems.

#10 - 01/11/2011 01:44 pm - kervala

ma_cheveux01.sitem, ma_cheveux02.sitem, ma_cheveux01.item and ma_cheveux02.item were duplicates of existing files so | fixed sheets

referencing them.

#11 - 01/11/2011 02:20 pm - aquiles

crash on empty automaton list. sheets_packer gives some hints on missing files.

homin_unknown_mode.automaton
homin_normal.automaton
homin_combat_float.automaton
homin_combat.automaton
homin_swim.automaton
homin_sit.automaton
homin_mount_normal.automaton
homin_mount_swim.automaton
homin_eat.automaton
homin_rest.automaton
homin_alert.automaton
homin_hungry.automaton
homin_death.automaton

homin_swim_death.automaton

and the same for creature instead of homin

#12 - 01/16/2011 08:05 pm - aquiles

WRN 1870 character.cpp 13291 CCharacter::learnPrebuiltPhrase: <CCharacter::learnPrebuiltPhrase> Phrase abcfaca01.sphrase contain unknown

bricks

WRN 1870 sheet_id.cpp 93 NLMISC::CSheetld::CSheetld: SHEETID: The sheet 'pre_order.sitem' is not in sheet_id.bin, setting it to Unknown
WRN 1870 sheet_id.cpp 93 NLMISC::CSheetld::CSheetld: SHEETID: The sheet '0_0.forage_source' is not in sheet_id.bin, setting it to Unknown
WRN 1870 character.cpp 13015 CCharacter::checkPhrases: CCharacter:checkPhrases: remove phrase with index '4'(sheet

'5145(abcfaca01.sphrase)’), because the brick with index '0' (sheet '0(unknown.unknown)') is invalid.

WRN 1870 sheet_id.cpp 93 NLMISC::CSheetld::CSheetld: SHEETID: The sheet 'slow.sbrick' is not in sheet_id.bin, setting it to Unknown

#13 - 02/07/2011 07:01 am - Aztecmage

| found these 2 while looking into guild outposts/apartments.

player_building.sitem
guild_main_building.sitem
Found the references to them in building_manager.cpp on lines 98 and 101, respectively.

#14 - 02/20/2011 11:05 am - kervala
- Target version set to Version 0.9.0

There are a lot of tests to do, so we will fix this issue in 0.9.0
